/* $Id: mail.js,v 1.22 2006/11/06 07:05:14 subbalakshmi Exp $ */


function validateAddEmailFormAndSubmit(form)
{
    var address = form.EMAIL_ADDRESS.value;

    if( address.length == 0 )
    {
        alert("Enter email address");
        return;
    }
    
    if(!checkEmailAddress(address))
    {
        return;
    }
    handleStateForForm(form); 
    form.submit();
}

function validateRemoveEmailFormAndSubmit(form)
{
    var index = form.EMAIL_SELECT.selectedIndex;

    if( index == -1 )
    {
        alert("Select atleast one email address to delete");
        return;
    }

    if(! confirm("Do you really want to delete selected email address(es) ?") )
    {
        return;
    }
    handleStateForForm(form);
    form.submit();
   
}

function showEditTable(showvalue)
{
    var viewTableObj=MM_findObj('mailserversettings_view');
    var editTableObj=MM_findObj('mailserversettings_edit');
    var editLinkObj=MM_findObj('edit_link');
    if(showvalue)
    {
        viewTableObj.className='hide';
        editLinkObj.className='hide';
        editTableObj.className='';
    }
    else
    {
        viewTableObj.className='tabletdgeneral';
        editLinkObj.className='tableheader';
        editTableObj.className='hide';
    }
}
function validateTestMailServer(form)
{
    var servername = form.MAIL_SERVER_NAME.value;
    var serverport = form.MAIL_SERVER_PORT.value;
    var acname     = form.MAIL_ACCOUNT_NAME.value;
    var acpassword = form.MAIL_ACCOUNT_PASSWORD.value;


    if( servername.length == 0 )
    {
        alert("Enter SMTP server name");
        return "false";

    }else if( serverport.length == 0 )
    {
        alert("Enter SMTP port");
        return "false";
    }
    if( !isContainOnlyNumericValues(form.MAIL_SERVER_PORT,"Port") )
    {
        return "false";
    }

    if( acname.length != 0 && acpassword.length == 0 ||
        acname.length == 0 && acpassword.length != 0 )
    {
        alert("Enter username & password");
        return "false" ;
    }
return "true";
} 

function validateMailForDuplication(newEmailAddress,selectComp) 
 {
    var existingEmails = selectComp.options;
        for(var i=0;i<existingEmails.length;i++) 
        {  
            if(existingEmails[i].value == newEmailAddress)
            {  alert("This email ID already exists");
                return false;
            }
            
        }
        return true;
}

function validateUsedValues(emailarray,selectComp)
{  
   // var usedOptions = "";
    var namesLen =emailarray.length;
//Used for multiple selection    
    //var option = selectComp.options;
  //  var len = option.length;
  /*  for(var i=len;i>=0;i--)
    {
        if(option[i].selected)
        {  
            var isExist = true;
           for(var j=0;j<namesLen;j++)
            {
                if(emailarray[j] == options[i].value)
                 { 
                   usedOptions = usedOptions  + option[i].value + "," ;
                   isExist=false;
                   break;
                 }
                
             }     if(isExist)
                    {
                     options[i] = null;
                    } 
        }
           
  }*/

    var select=selectComp.selectedIndex;
    var existingEmails = selectComp.options;
     isExist = new Boolean();
    for(var j=0;j<namesLen;j++)
    { 
       
       if(emailarray[j] == existingEmails[select].value)
        { 
            isExist=true;
            alert("This email " + existingEmails[select].value + " cannot be deleted since it is being used in a schedule or rule");
            break;
        }
   }

             if(isExist == false)
              {
                existingEmails[select] = null;
              }
  
}

function populateOptions(targetComp,sourceComp)
{
    var options = sourceComp.options;
    for(var i=0;i<options.length;i++)
    {
        var newoption = new Option(options[i].value,options[i].value,true);
        // needed for IE
        newoption.selected = true;
        targetComp.options[i] = newoption;
    }
}

function validateTTEmailIfNotEmpty(value,formElement)
{
  value = trimAll(value);
  if(isNotEmpty(value))
  {
    return isEmailId(value);
  }
  
  return true;
}
