#!/bin/sh
# $Id: run.sh,v 1.5 2006/12/04 14:48:57 subramani Exp $

. ./setCommonEnv.sh

############################### JAVA SYSTEM PROPERTIES ########################################################
JAVA_OPTS="-Dcatalina.home=$SERVER_HOME -Dserver.home=$SERVER_HOME -Dserver.stats=10000 -Djava.util.logging.manager=com.adventnet.logging.LogManager -Djava.util.logging.config.file=$SERVER_HOME/conf/logging.xml -Djava.util.logging.config.class=com.adventnet.logging.LoggingScanner -Dsplash.filename=$SERVER_HOME/images/splashscreen.gif -Dsplashscreen.progress.color="-12615225" -Dsplashscreen.fontforeground.color="-16777216" -Dsplashscreen.fontbackground.color="-1" -Dsplashscreen.font.size="11" -Dsplash.percentage="true" -Djava.awt.headless=true -Dstart.webclient=$SERVER_HOME/conf/browser.conf -Dlog.dir=$SERVER_HOME -Ddb.home=$DB_HOME -Dcheck.tomcatport=true"

################################################################################################################

echo ""
echo "JAVA_HOME   :" $JAVA_HOME
echo "SERVER_HOME :" $SERVER_HOME
echo "DATE        :" `date`
echo ""


$JAVA $JAVA_OPTS -cp $SERVER_HOME/bin/run.jar com.adventnet.mfw.util.JdkAndPortCheck
if [ $? -ne 0 ]
then
	exit 1
fi

LD_LIBRARY_PATH=$SERVER_HOME/lib/native:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH

JAVA_OPTS="$JAVA_OPTS -Djava.library.path=$SERVER_HOME/lib/native"



CLASS_PATH=$SERVER_HOME/lib:$SERVER_HOME/bin/run.jar:$SERVER_HOME/lib/AdvCoreLogging.jar:$SERVER_HOME/bin/commons-logging-api.jar:$JAVA_HOME/lib/tools.jar:$SERVER_HOME/lib/AdventNetNPrevalent.jar:$SERVER_HOME/lib/AdventNetUpdateManagerInstaller.jar

$JAVA  -cp $CLASS_PATH $JAVA_OPTS com.adventnet.mfw.Starter

