/* $Id: discovery.js,v 1.15 2006/12/06 12:42:33 subbalakshmi Exp $ */

function validateValues(radioButtons)
{
   if(radioButtons[0].checked)
   {
        var hostListStr = document.discoveryWizard.HOST.value;
        if(!isNotEmpty(hostListStr))
        {
            alert("Specify a valid hostname / IP address");
            return false;
        }
        
        // Not validating the individual values since hostname
        // is allowed and it can be any alphanumeric value
        /*var individualHosts = hostListStr.split(",");
        var len = individualHosts.length;
        for(k=0;k<len;k++)
        {
          if(!hostNameValidation(individualHosts[k]))
          {
          	return false;
          }
        }*/
   }
   else if(radioButtons[1].checked)
   {
     if(!isValidIPAddress(document.discoveryWizard.START_ADDR.value))
     {
       alert("Enter a valid starting IP address for the 'IP Address Range' option");
       return false;
     }
     
     if(!isValidIPAddress(document.discoveryWizard.END_ADDR.value))
     {
       alert("Enter a valid ending IP address for the 'IP Address Range' option");
       return false;
     }
   }
   // Host File option
   else if(radioButtons[2].checked)
   {
   	var form = document.discoveryWizard;
   	if(!isNotEmpty(form.HOST_FILE_CONTENTS.value))
   	{
	   alert("Specify the file to be loaded");
	   return false;
   	}
   	form.action = "DiscoverDevices.do";
   	form.encoding = "multipart/form-data"
   }
   else if(radioButtons[3].checked)
   {
       if(isValidIPAddress(document.discoveryWizard.CIDR_ADDR.value))
       {
           if(!isWithinRange(document.discoveryWizard.CIDR_BITS.value,document.discoveryWizard.CIDR_BITS))
            {
                alert("Invalid mask bits. Specify a value between 1 & 32");
                return false;
            }
            else
            {
                return true;
            }
           
        }   
           
     if(!isValidIPAddress(document.discoveryWizard.CIDR_ADDR.value))
     {
       alert("Enter a valid network address for the 'Network Address / Mask Bits (CIDR)' option");
       return false;
     }
   }
   else if(radioButtons[4].checked)
   {
     if(!isValidIPAddress(document.discoveryWizard.ADDR.value))
     {
       alert("Enter a valid network address for the 'Network Address / Subnet Mask' option");
       return false;
     }

     if(!isValidIPAddress(document.discoveryWizard.MASK.value))
     {
       alert("Enter a valid subnet mask for the 'Network Address / Subnet Mask' option");
       return false;
     }
   }
   
   return validateForm(document.discoveryWizard);
   
}
function showHideRow(rowid,value)
{

   document.getElementById('single_row').className="hide";
   document.getElementById('addr_range_row').className="hide";
   document.getElementById('host_file_row').className="hide";   
   document.getElementById('cidr_row').className="hide";
   document.getElementById('net_addr_row').className="hide";
    var showHideObjects = MM_findObj(rowid);
    if(value == 'true')
    {
        showHideObjects.className='tablerowslight';
    }
    
}

